Bug 157223 - Fix devel/p5-ExtUtils-MakeMaker for Perl5.14
Fix devel/p5-ExtUtils-MakeMaker for Perl5.14
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Sunpoet Po-Chuan Hsieh
Depends on:
  Show dependency treegraph
Reported: 2011-05-20 23:30 UTC by freebsd
Modified: 2011-05-31 02:40 UTC (History)
1 user (show)

See Also:

p5-ExtUtils-MakeMaker.patch (524 bytes, patch)
2011-05-20 23:30 UTC, freebsd
no flags Details | Diff
p5-ExtUtils-MakeMaker.patch (506 bytes, patch)
2011-05-20 23:42 UTC, freebsd
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description freebsd 2011-05-20 23:30:05 UTC
	After upgrading to Perl5.14
	does no longer exist, so MakeMaker should not add it to
	the include file list

Fix: apply attached patch
How-To-Repeat: 	Upgrade to Perl5.14, upgrade p5-ExtUtils-MakeMaker
	and then attempt to upgrade devel/p5-version (for example)
	Other examples include:
	 mail/razor-agents, databases/rrdtool, databases/p5-BerkeleyDB,
	 security/p5-Crypt-OpenSSL-Bignum, archivers/p5-Compress-Raw-Zlib, ..
Comment 1 freebsd 2011-05-20 23:42:03 UTC
I too should be using ${REINPLACE_CMD}!

----- Message from FreeBSD-gnats-submit@FreeBSD.org ---------
     Date: Fri, 20 May 2011 22:30:06 GMT
     From: FreeBSD-gnats-submit@FreeBSD.org
Reply-To: FreeBSD-gnats-submit@FreeBSD.org, freebsd-ports-bugs@FreeBSD.org
  Subject: Re: ports/157223: Fix p5-ExtUtils-MakeMaker for Perl5.14
       To: freebsd@nagilum.org

> Thank you very much for your problem report.
> It has the internal identification `ports/157223'.
> The individual assigned to look at your
> report is: freebsd-ports-bugs.
> You can access the state of your problem report at any time
> via this link:
> http://www.freebsd.org/cgi/query-pr.cgi?pr=157223
>> Category:       ports
>> Responsible:    freebsd-ports-bugs
>> Synopsis:       Fix p5-ExtUtils-MakeMaker for Perl5.14
>> Arrival-Date:   Fri May 20 22:30:05 UTC 2011

----- End message from FreeBSD-gnats-submit@FreeBSD.org -----

cakebox.homeunix.net - all the machine one needs..
Comment 2 Mark Linimon freebsd_committer 2011-05-21 13:42:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-bugs

Fix synopsis and assign.
Comment 3 Mark Linimon freebsd_committer 2011-05-21 13:44:57 UTC
Responsible Changed
From-To: freebsd-bugs->perl

hotel wireless, how we hate thee.
Comment 4 Sunpoet Po-Chuan Hsieh freebsd_committer 2011-05-29 16:24:54 UTC
Responsible Changed
From-To: perl->sunpoet

I will take it.
Comment 5 dfilter freebsd_committer 2011-05-31 02:37:37 UTC
sunpoet     2011-05-31 01:37:28 UTC

  FreeBSD ports repository

  Modified files:
    devel/p5-ExtUtils-MakeMaker Makefile 
  - Fix build with Perl 5.14
  - While I'm here, sort MAN3
  PR:             ports/157223
  Submitted by:   Alexander <freebsd@nagilum.org>
  Revision  Changes    Path
  1.22      +15 -14    ports/devel/p5-ExtUtils-MakeMaker/Makefile
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Sunpoet Po-Chuan Hsieh freebsd_committer 2011-05-31 02:37:49 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!